Package org.kapott.hbci.structures

# Class Value

java.lang.Object
org.kapott.hbci.structures.Value

All Implemented Interfaces:
  `Serializable`

public final class Value extends Object implements Serializable
Darstellung eines Geldbetrages.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`Value()`
Anlegen eines neuen Objektes zur Aufnahme eines Geldbetrages.
`Value(double value)`
Deprecated.
`Value(double value, String curr)`
Deprecated.
`Value(long value)`
Anlegen eines Geldbetrag-Objektes.
`Value(long value, String curr)`
Anlegen eines Geldbetrag-Objektes.
`Value(String value)`
Anlegen eines Geldbetrag-Objektes.
`Value(String value, String curr)`
Anlegen eines Geldbetrag-Objektes.
`Value(BigDecimal value)`
Anlegen eines Geldbetrag-Objektes.
`Value(BigDecimal value, String curr)`
Anlegen eines Geldbetrag-Objektes.
`Value(Value v)`
Erstellt eine neue Instanz eines Geldbetrag-Objektes als Kopie eines bestehenden Objektes.

## Method Summary

Modifier and Type
Method
Description
`BigDecimal`
`getBigDecimalValue()`
`String`
`getCurr()`
Gibt die Währung zurück
`double`
`getDoubleValue()`
Deprecated.
`long`
`getLongValue()`
Gibt den Betrag mal 100 als Ganzzahl zurück
`void`
`setCurr(String curr)`
Setzt die Währung neu.
`void`
`setValue(double value)`
Deprecated.
`void`
`setValue(long value)`
Setzt den Betrag neu.
`void`
`setValue(BigDecimal value)`
Setzt den Betrag neu.
`String`
`toString()`
Umwandeln in einen String.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Value

public Value()
Anlegen eines neuen Objektes zur Aufnahme eines Geldbetrages. Vorbelegung ist der Wert "0 EUR"

### Value

@Deprecated public Value(double value)
Deprecated.
Anlegen eines Geldbetrag-Objektes. Die Währung wird mit `EUR` vorbelegt.

Parameters:
  `value` - der Geldbetrag (1.23)

### Value

public Value(long value)
Anlegen eines Geldbetrag-Objektes. Die Währung wird mit `EUR` vorbelegt.

Parameters:
  `value` - der Geldbetrag mal 100 (123)

### Value

public Value(String value)
Anlegen eines Geldbetrag-Objektes. Die Währung wird mit `EUR` vorbelegt.

Parameters:
  `value` - der Geldbetrag als String ("1.23")

### Value

public Value(BigDecimal value)
Anlegen eines Geldbetrag-Objektes. Die Währung wird mit `EUR` vorbelegt.

Parameters:
  `value` - der Geldbetrag als String ("1.23")

### Value

public Value(String value, String curr)
Anlegen eines Geldbetrag-Objektes.

Parameters:
  `value` - der Geldbetrag als String ("1.23")
  `curr` - die Währung des Geldbetrages

### Value

@Deprecated public Value(double value, String curr)
Deprecated.
Anlegen eines Geldbetrag-Objektes.

Parameters:
  `value` - der Geldbetrag (1.23)
  `curr` - die Währung des Geldbetrages

### Value

public Value(long value, String curr)
Anlegen eines Geldbetrag-Objektes.

Parameters:
  `value` - der Geldbetrag mal 100 (123)
  `curr` - die Währung des Geldbetrages

### Value

public Value(BigDecimal value, String curr)
Anlegen eines Geldbetrag-Objektes.

Parameters:
  `value` - der Geldbetrag (1.23).
  `curr` - die Währung des Geldbetrages

### Value

public Value(Value v)
Erstellt eine neue Instanz eines Geldbetrag-Objektes als Kopie eines bestehenden Objektes.

Parameters:
  `v` - ein Objekt, welches geklont werden soll

## Method Details

### toString

public String toString()
Umwandeln in einen String. Die Rückgabe erfolgt im Format

    <value> " " <curr>

Overrides:
  `toString` in class `Object`
Returns:
  Stringdarstellung des Geldbetrages

### getLongValue

public long getLongValue()
Gibt den Betrag mal 100 als Ganzzahl zurück

### getDoubleValue

@Deprecated public double getDoubleValue()
Deprecated.
Gibt den Betrag als Fließkommazahl zurück

### getBigDecimalValue

public BigDecimal getBigDecimalValue()

### getCurr

public String getCurr()
Gibt die Währung zurück

### setValue

public void setValue(double value)
Deprecated.
Setzt den Betrag neu.

Parameters:
  `value` - Betrag (1.23)

### setValue

public void setValue(long value)
Setzt den Betrag neu. Der hier angegebene Wert entspricht dem eigentlichen Betrag mal 100.

Parameters:
  `value` - Der Betrag mal 100

### setValue

public void setValue(BigDecimal value)
Setzt den Betrag neu. Der hier angegebene Wert entspricht dem Betrag mal 100. Wenn der Wert Centbruchteile enthält, welche wegfallen würden, wird eine Exception geworfen.

Parameters:
  `value` - Der Betrag mal 100

### setCurr

public void setCurr(String curr)
Setzt die Währung neu.

Parameters:
  `curr` - die Währung